import { getYj } from "@/api/taicangpop/block.js";
import { getxiaoqu } from "@/api/home";
import { getColorList } from "@/api/taicangpop/new.js";

const taicang = {
  state: {
    yjTotal: 0,
    leftColor: {
      HZ: "#008c5e",
      HL: "#008c5e",
      HO: "#008c5e",
      HF: "#008c5e",
      NZ: "#7f8c95",
      NL: "#7f8c95",
      NO: "#7f8c95",
      NF: "#7f8c95",
    },
    rightTopColor: {
      HZ: "#008c5e",
      HL: "red",
      HO: "#7f8c95",
      HF: "#008c5e",
      NZ: "#008c5e",
      NL: "red",
      NO: "#7f8c95",
      NF: "#008c5e",
    },
    xiaoquIntroduce: {
      intro: {
        shequ: {},
        kaiguo: {},
      },
    },
    colorListL: [],
  },
  mutations: {
    SET_YJ_TOTAL: (state, total) => {
      state.yjTotal = total;
    },
    SET_INTRODUCE: (state, introduce) => {
      state.xiaoquIntroduce = introduce;
    },
    SET_COLOR_LIST: (state, list) => {
      state.colorListL = handleColor(
        list,
        state.leftColor,
        state.rightTopColor
      );
    },
  },
  actions: {
    /**预警总数 */
    GetYjtotal({ commit }, queryParams) {
      return new Promise((resolve, reject) => {
        getYj().then((res) => {
          commit("SET_YJ_TOTAL", res.data);
          resolve();
        });
      });
    },

    /**
     * 获取小区详情
     */
    GetXiaoquInfo({ commit }, deptId) {
      return new Promise((resolve, reject) => {
        getxiaoqu(deptId).then((res) => {
          res.data.intro = JSON.parse(res.data.intro);
          commit("SET_INTRODUCE", res.data);
          resolve();
        });
      });
    },

    /**获取colorList */
    GetcolorList({ commit }, queryParams) {
      return new Promise((resolve, reject) => {
        getColorList().then((res) => {
          commit("SET_COLOR_LIST", res.data);
          resolve();
        });
      });
    },
  },
};

function handleColor(list, leftColor, rightTopColor) {
  list.map((item) => {
    let isColor = /^[a-zA-Z]+$/.test(item.name);
    console.log(isColor);
    if (isColor) {
      item.color = item.name;
      for (let key in leftColor) {
        if (item.name == key) {
          item.leftColor = leftColor[key];
          item.rightTopColor = rightTopColor[key];
        }
      }
    }
  });
  return list;
}

export default taicang;
